; This script requires Imagen 3.21
; Demo for "Zoom" option as described by gwarble in the following post
; https://www.autohotkey.com/boards/viewtopic.php?p=359295#p359295

#NoEnv
#Warn
#SingleInstance, Force

Global Options := "FadeIn100ms <3,7,15,31,63,127,255> Scale Zoom",  sFile := "", hPic := 0

Gui, Margin, 20, 20
Gui, Add, Picture, w600 h500 Border hwndhPic vPicture
Gui, Add, CheckBox, Checked1 gSetZoom AltSubmit, Zoom image to fill control
Gui, Show,, Image viewer - Just Drag N Drop
Return ;                                                 // End of auto-execute section //

SetZoom(CtrlHwnd) {
Local Zoom
  GuiControlGet, Zoom,, %CtrlHwnd%
  Options := Zoom ? (Options . " Zoom") : StrReplace(Options, " Zoom")
  Imagen(sFile, Options . " ahk_id" . hPic)
}

GuiDropFiles(GuiHwnd, FileArray, CtrlHwnd) {
  If ( CtrlHwnd = hPic )
    sFile := FileArray[1]
  , Imagen(sFile, Options . " ahk_id" . hPic)
}

GuiClose() {
 ExitApp
}

